get file = 'CH.sav'.

select if (UF9 = 1 or UF9 = 4).
weight by chweight.

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6 + cage_6 + melevel + wlthind5 + etnic + tot1 
		by (statistics)
  /statistics
    cpct(HL4 (f5.1) 'Weighted percent')
    count(HL4 (f5.0) 'Number of under-5 children weighted')
    unw count(HL4 (f5.0) 'Number of under-5 children unweighted')
    cpct(HH7 (f5.1) 'Weighted percent')
    count(HH7 (f5.0) 'Number of under-5 children weighted')
    unw count(HH7 (f5.0) 'Number of under-5 children unweighted')
    cpct(HH6 (f5.1) 'Weighted percent')
    count(HH6 (f5.0) 'Number of under-5 children weighted')
    unw count(HH6 (f5.0) 'Number of under-5 children unweighted')
    cpct(cage_6 (f5.1) 'Weighted percent')
    count(cage_6 (f5.0) 'Number of under-5 children weighted')
    unw count(cage_6 (f5.0) 'Number of under-5 children unweighted')
    cpct(melevel (f5.1) 'Weighted percent')
    count(melevel (f5.0) 'Number of under-5 children weighted')
    unw count(melevel (f5.0) 'Number of under-5 children unweighted')
    cpct(wlthind5 (f5.1) 'Weighted percent')
    count(wlthind5 (f5.0) 'Number of under-5 children weighted')
    unw count(wlthind5 (f5.0) 'Number of under-5 children unweighted')
    cpct(etnic (f5.1) 'Weighted percent')
    count(etnic (f5.0) 'Number of under-5 children weighted')
    unw count(etnic (f5.0) 'Number of under-5 children unweighted')
  /title
    "Table HH.5: Children's background characteristics" 
		"Percent distribution of children under five years of age by background "+
		"characteristics, Montenegro, 2005".

new file.
