* New - changed syntax.

get file = 'ch.sav'.

select if (UF9 = 1 or UF9 = 4).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Number of children aged 0-59 months".

* diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable label diarrhea "Had diarrhoea in last two weeks".

do if (CA1 = 1).
+ recode CA2D (1 = 100) (else = 0) into orspack.
+ recode CA2A (1 = 100) (else = 0) into mmilk.
+ recode CA2B (1 = 100) (else = 0) into porridge.
+ recode CA2C (1 = 100) (else = 0) into liquid.
+ recode CA2E (1 = 100) (else = 0) into otmilk.
+ recode CA2F (1 = 100) (else = 0) into wandfood.
+ recode CA2G (1 = 100) (else = 0) into water.
+ recode CA2H (1 = 100) (else = 0) into sweetw.
+ compute notreat = 0.
+ if (orspack = 0 and mmilk = 0 and porridge = 0 and liquid = 0) notreat = 100.
+ compute ortuse = 0.
+ if (orspack = 100 or mmilk = 100 or porridge = 100 or liquid = 100) ortuse = 100.
+ compute dtotal = 1.
end if.

variable label orspack "Fluid from ORS packet".
variable label mmilk "Breast milk".
variable label porridge "Porridge (from cereals, leguminous plants, root vegetables) or soup".
variable label liquid "Other (yogurt, sour milk, tea, sugar and salt solution, sugar-free fruit juice)".
variable label otmilk "Cow/sheep/goat milk or adapted baby milk".
variable label wandfood "Water and food combined".
variable label water "Only water".
variable label sweetw "Sweetened water, sweetened tea or sweetened fruit juice".
variable label notreat "No treatment".
variable label ortuse "ORT use rate *".
value label dtotal 1 "".
variable label dtotal "Number of children aged 0-59 months with diarrhoea".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation diarrhea orspack mmilk porridge liquid otmilk wandfood water sweetw notreat ortuse 
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6 + cage_6 + melevel  + wlthind5 + etnic + tot1 by
    diarrhea + total + orspack + mmilk + porridge + liquid + otmilk +  wandfood  +  water  +  sweetw + notreat + ortuse + dtotal
  /statistics
    mean(diarrhea (f5.1) '')
    count(total (f5.0) '')
    mean(orspack (f5.1) '')
    mean(mmilk (f5.1) '')
    mean(porridge (f5.1) '')
    mean(liquid (f5.1) '')
    mean(otmilk (f5.1) '')
    mean(wandfood (f5.1) '')
    mean(water (f5.1) '')
    mean(sweetw (f5.1) '')
    mean(notreat (f5.1) '')
    mean(ortuse (f5.1) '')
    count(dtotal (f5.0) '')
  /title
    "Table CH.3: Oral rehydration treatment"
		"Percentage of children aged 0-59 months with diarrhoea in the last two weeks "+
		"and treatment with oral rehydration solution (ORS) or other oral rehydration treatment (ORT), Montenegro, 2005"
  /caption
    "* MICS Indicator 33".

new file.
