* New - changed syntax.

get file = 'CH.sav'.

select if (UF9 = 1 or UF9 = 4).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Number of children aged 0-59 months".

* diarrhoea in last 2 weeks.
recode CA1 (1 = 100) (else = 0) into diarrhea.
variable label diarrhea "Had diarrhoea in last two weeks".

do if (CA1 = 1).

+ recode CA3 (3 = 100) (else = 0) into drnkmore.
+ variable label drnkmore "Children with diarrhoea who drank more".

+ recode CA3 (1,2 = 100) (else = 0) into drnkless.
+ variable label drnkless "Children with diarrhoea who drank the same or less".

+ recode CA4 (3,4,5 = 100) (else = 0) into ateokay.
+ variable label ateokay "Children with diarrhoea who ate somewhat less, same or more".

+ recode CA4 (1,2 = 100) (else = 0) into atebadly.
+ variable label atebadly "Children with diarrhoea who ate much less or none".

+ compute homemgmt = 0.
+ if (drnkmore = 100 and ateokay = 100) homemgmt = 100.
+ variable label homemgmt "Home management of diarrhoea *".

+ compute orifcf = 0.
+ if (((CA2D = 1 or CA2A = 1 or CA2B = 1 or CA2C = 1) or drnkmore = 100) and ateokay = 100) orifcf = 100.
+ variable label orifcf "Received ORT or increased fluids AND continued feeding **".

+ compute dtotal = 1.
+ value label dtotal 1 "".
+ variable label dtotal "Number of children aged 0-59 months with diarrhoea".
end if.

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation diarrhea drnkmore drnkless ateokay atebadly homemgmt orifcf
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6 + cage_11 + melevel  + wlthind5 + etnic + tot1 by
     diarrhea + total + drnkmore + drnkless + ateokay + atebadly + homemgmt + 
		 orifcf + dtotal
  /statistics
    mean(diarrhea (f5.1) '')
    count(total (f5.0) '')
    mean(drnkmore (f5.1) '')
    mean(drnkless (f5.1) '')
    mean(ateokay (f5.1) '')
    mean(atebadly (f5.1) '')
    mean(homemgmt (f5.1) '')
    mean(orifcf (f5.1) '')
    count(dtotal (f5.0) '')
  /title
    "Table CH.4: Home management of diarrhoea"
		"Percentage of children aged 0-59 months with diarrhoea in the last two "+
		"weeks who took increased fluids and continued to feed during the "+
		"episode, Montenegro, 2005"
  /caption
    "* MICS indicator 34"
		"** MICS indicator 35".

new file.
