get file = 'ch.sav'.

select if (UF9 = 1 or UF9 = 4).

weight by chweight.

compute total = 1.
variable label total "Number of children aged 0-59 months".
value label total 1 "".

* ARI in the last 2 weeks.
compute ari  = 0.
if ((CA7 =1 or CA7 = 3) and CA5 = 1 and CA6 = 1) ari = 100.
variable label ari "Had acute respitory infection".

do if (ari = 100).

+ recode CA9A ("A" = 100) (else = 0) into ho.
+ recode CA9B ("B" = 100) (else = 0) into hc.
+ recode CA9C ("C" = 100) (else = 0) into hp.
+ recode CA9D ("D" = 100) (else = 0) into vi.
+ recode CA9E ("E" = 100) (else = 0) into pp.
+ recode CA9H ("H" = 100) (else = 0) into pr.
+ recode CA9J ("J" = 100) (else = 0) into rf.
+ recode CA9I ("I" = 100) (else = 0) into tr.
+ recode CA9X ("X" = 100) (else = 0) into ot.
+ compute any = 0.
* excludes Pharmacy.
+ if (ho = 100 or hc = 100 or hp = 100 or pp = 100 ) any = 100.
+ if (vi = 100 or pr = 100 or rf = 100 or tr = 100 or ot = 100 ) ot = 100.
+ compute atotal = 1.
end if.

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

variable label ho "Ambulance".
variable label hc "Health centre".
variable label hp "Hospital".
variable label vi "First aid".
variable label pp "Private doctor".
variable label pr "Pharmacy".
variable label rf "Relative or friend".
variable label tr "Traditional practitioner".
variable label ot "Other".
variable label any "Any appropriate provider *".
variable label atotal "Number of children aged 0-59 months with suspected pneumonia".
value label atotal 1 "".


tables
  /format = zero
  /observation = ari ho hc hp pp ot any
  /ftotal = tot1 "Total"
  /table = HL4 + HH7 + HH6 + cage_11 + melevel + wlthind5 + etnic + tot1 by
    ari + total + ho + hc + hp + pp + ot + any + atotal
  /statistics
    mean(ari (f5.1) '')
    count(total (f5.0) '')
    mean(ho (f5.1) '')
    mean(hc (f5.1) '')
    mean(hp (f5.1) '')
    mean(pp (f5.1) '')
    mean(ot (f5.1) '')
    mean(any (f5.1) '')
    count(atotal (f5.0) '')
  /title
    "Table CH.5: Care seeking for suspected pneumonia"
		"Percentage of children aged 0-59 months in the last two weeks taken to "+
		"a health provider, Montenegro, 2005"
  /caption
    "* MICS indicator 23".

new file.
