get file = 'CH.sav'.

select if (UF9 = 1 or UF9 = 4).

weight by chweight.

compute total = 1.
value label total 1 "".
variable label total "Number of mothers/caretakers of children aged 0-59 "+
  "months".

compute layer1 = 1.
value label layer1 1 " ".
variable label layer1 "Percentage of mother/caretakers of children aged 0-59 "+
  "months who think that a child should be taken immediately to a health "+
	"facility if the child:".

compute drink = 0.
if (CA14A = "A") drink = 100.
variable label drink "Is not able to drink or breastfeed".

compute sicker = 0.
if (CA14B = "B") sicker = 100.
variable label sicker "Becomes sicker".

compute fever = 0.
if (CA14C = "C") fever = 100.
variable label fever "Develops a fever".

compute fast = 0.
if (CA14D = "D") fast = 100.
variable label fast "Has fast breathing".

compute breath = 0.
if (CA14E = "E") breath = 100.
variable label breath "Has difficulty breathing".

compute blood = 0.
if (CA14F = "F") blood = 100.
variable label blood "Has blood in stool".

compute poorly = 0.
if (CA14G = "G") poorly = 100.
variable label poorly "Is drinking poorly".

compute shok = 0.
if (NOVACA14H = "H") shok = 100.
variable label shok "Child has shocks".

compute troing = 0.
if (NOVACA14I = "I") troing = 100.
variable label troing "Child is throing up".

compute cough = 0.
if (NOVACA14J = "J") cough = 100.
variable label cough "Child has strong cough".

compute pain = 0.
if (NOVACA14K = "K") pain = 100.
variable label pain "Child is comlaining about strong pain".

compute heart = 0.
if (NOVACA14L = "L") heart = 100.
variable label heart "Child has been heart".

compute swol = 0.
if (NOVACA14M = "M") swol = 100.
variable label swol "Child has swolowed an object".

compute burne = 0.
if (NOVACA14N = "N") burne = 100.
variable label burne "Child has burnes".

compute other = 0.
if (NOVACA14I = "I" | NOVACA14J = "J" | NOVACA14K = "K" | NOVACA14L = "L" |  NOVACA14H = "M" | NOVACA14H = "N" |  CA14X = "X" | CA14Y = "Y") other = 100.
variable label other "Has other symptoms".

compute twosigns = 0.
if (CA14D = "D" and CA14E = "E") twosigns = 100.
variable label twosigns "Mothers/caretakers who recognize the two danger "+
  "signs of pneumonia".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation = drink sicker fever fast breath blood poorly shok twosigns
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + melevel + wlthind5 + etnic + tot1 by layer1 >
    (drink + sicker + fever + fast + breath + blood + poorly + shok) +
		twosigns + total
  /statistics
    mean(drink (f5.1) '')
    mean(sicker (f5.1) '')
    mean(fever (f5.1) '')
    mean(fast (f5.1) '')
    mean(breath (f5.1) '')
    mean(blood (f5.1) '')
    mean(poorly (f5.1) '')
    mean(shok (f5.1) '')
    mean(twosigns (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table CH.6A: Knowledge of the two danger signs of pneumonia"
		"Percentage of mothers/caretakers of children aged 0-59 months by "+
		"knwoledge of types of symptoms for taking a child immediately to a "
		"health facility, and percentage of mothers/caretakers who recognize "+
		"fast and difficult breathing as signs for seeking care immediately, "+
		"Montenegro, 2005".

new file.
