get file = 'HH.sav'.

select if (HH9 = 1).

weight by hhweight.

recode HC6 (2=3) (7,9,11 = 95)  (99, 97 = 96) (else = copy) into HC6.
value label HC6
  1 "Electricity"
  3 "Gas"
  6 "Coal"
  8 "Wood"
  95 "Other solid fuel"
  96 "Other".

recode HC6 (06,07,08,95 = 100) (else  = 0) into sfuels.
variable label sfuels "Solid fuels for cooking *".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation = sfuels
  /ftotal = tot1 "Total" tot2 "Number of households"
  /table = HH7 + HH6 + helevel + wlthind5 + etnic +  tot1 by 
	  HC6 + tot1 + sfuels + tot2
  /statistics
    cpct(HC6 (f5.1) '':HH7 HH6 helevel wlthind5 etnic)
    mean(sfuels (f5.1) '')
    count(tot2 (f5.0) '')
  /title
    "Table CH.7: Solid fuel use"
		"Percent distribution of households according to type of cooking fuel, "+
		"and percentage of households used solid fuels for cooking, Montenegro, 2005"
  /caption
    "* MICS indicator 24; MDG indicator 29".

new file.
