get file = 'HH.sav'.

select if (HH9 = 1).

weight by hhweight.

compute total  = 1.
variable label total "Number of households".
value label total 1 "".

select if (not(sysmis(WS4))).

variable label WS4 "Person collecting drinking water".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6 + helevel + wlthind5 + etnic + tot1 by WS4 + tot1 + total 
  /statistics
    cpct(WS4 (f5.1) '':HH7 HH6 helevel wlthind5 etnic)
  /title
    "Table EN.4: Person collecting water"
		"Percent distribution of households according to the person collecting "+
		"water used in the household, Montenegro, 2005".

new file.
