get file = 'hh.sav'.
select if (HH9 = 1).
compute hhweight = hhweight*HH11.
weight by hhweight.

recode WS7 (11,12,21,22 = 1) (else = 2) into type.
variable label type "Type of toilet facility used by household".
value label type 
	1 "Improved sanitation facility" 
	2 "Unimproved sanitation facility".

select if  (type  = 1).
recode WS9 (2,3,4,5,6,7,8,9,10 =10) (97, 98, 99 = 99) (sysmis=1) (else = copy) into WS9.
variables labels ws9 "Number of households using the improved sanitation facility".
value label WS9
10 "Two or more"
99 "DK/Missing".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

compute total = 1.
variable label total "Number of households members using improved sanitation facilities".
value label total 1 "".

tables
  /format = zero 
  /ftotal = tot1 "Total" 
 /table = WS7+ HH7 + HH6 + helevel + etnic + wlthind5 + tot1 by 
	   WS9 + tot1 + total 
  /statistics
    cpct(WS9 (f5.1) '': WS7 HH7 HH6 helevel etnic wlthind5)  
    count(total (f5.0) '')
  /title
    "Table EN.5w: Shared use of improved sanitation facilities (working table)"+
		"Percent distribution of household population using improved sanitation facilities by number"+
                        " of the households using the facility, Montenegro, 2005".
new file.
