get file = 'CH.sav'.

select if (UF9 = 1 or UF9 = 4).

weight by chweight.

select if (UF11 < 3).

recode CA13 (1,2 = 100) (else = 0) into stools.
variable label stools "Proportion of children whose stools are disposed of "+
  "safely *".

recode CA13 (5,6,96 = 96) (98, 99 = 99) (sysmis=1) (else = copy) into CA13.
value label CA13
1 "Child used toilet"
2 "Put/rinsed into toilet or latrine"
3 "Put/rinsed into drain or ditch"
4 "Thrown into garbage"
96  "Other"
99 "DK/Missing".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

*komentar.
compute total  = 1.
value label total 1 "".
variable label total "Number of children aged 0-2 years".

tables
  /format = zero
  /observation = stools
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6 + melevel + wlthind5 + etnic + tot1 by 
	  CA13 + tot1 + stools + total 
  /statistics
    cpct(CA13 (f5.1) '':HH7 HH6 melevel wlthind5 etnic)
    mean(stools (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table EN.6: Disposal of child's faeces"
		"Percent distribution of children aged 0-2 years according to place of "+
		"disposal of child's faeces, and the percentage of children aged 0-2 "+
		"years whose stools are disposed of safely, Montenegro, 2005"
  /caption
    "* MICS indicator 14".

new file.
