get file = 'WM.sav'.

select if (WM7 = 1 or WM7 =4).

weight by wmweight.

select if (CM12 = 1).

compute total = 1.
value labels total 1 "".
variable label total "Number of women who gave birth in the preceding two years".

compute anc = 0.
if (MN2A = "A") anc = 1.
if (anc = 0 and (MN2B = "B" or MN2C = "C" or MN2G = "G")) anc = 2.
*if (anc = 0 and MN2C = "C") anc = 3.
*if (anc = 0 and MN2F = "F") anc = 4.
*if (anc = 0 and MN2G = "G") anc = 5.
*if (anc = 0 and MN2H = "H") anc = 6.
if (anc = 0 and (MN2X = "X" or MN2A = "?" or MN2F="F" or MN2H="H")) anc = 7.
if (anc = 0 and MN2Y = "Y") anc = 8.
variable label anc "Person providing antenatal care".
value label anc
  1 "Medical doctor"
  2 "Nurse/midwife/Auxiliary midwife/House visiting nurse"
  3 "Auxiliary midwife"
  4 "Traditional birth attendant"
  5 "House visiting nurse"
  6 "Relative/Friend"
  7 "Relative/Friend/Traditional birth attendant/Other/missing"
  8 "No antenatal care received".

compute skilled = 0.
if (anc = 1 or anc = 2) skilled = 100.
variable label skilled "Any skilled personnel *".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation = skilled
  /ftotal = tot1 "Total"
  /table = HH7 + HH6 + wage + melevel  + wlthind5 + etnic + tot1 
	  by anc + tot1 + skilled + total
  /statistics
    cpct(anc (f5.1) '':HH7 HH6 wage melevel  wlthind5 etnic)
    mean(skilled (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table RH.3: Antenatal care provider"
		"Percent distribution of women aged 15-49 who gave birth in the two "+
		"years preceding the survey by type of personnel providing antenatal "+
		"care, Montenegro, 2005"
  /caption
    "* MICS indicator 20".

new file.
