get file = 'ch.sav'.

select if (UF9 = 1 or UF9 = 4).
weight by chweight.

compute total = 1.
variable label total "Number of children aged 0-59 months".
value label total 1 "".

recode cage (0 thru 23 = 1) (else = 2) into agegrp .
variable label agegrp "Age".
value label agegrp 1 "0-23" 2 "24-59".

recode CE4 (0 = 0) (else = 100) into care.
variable label  care "Left in the care children under the age of 10 years in past week".

recode CE5 (0 = 0) (else = 100) into alone.
variable label  alone "Left alone in the past week".

compute inadeq = 0.
if (care = 100 or alone  = 100) inadeq  = 100.
variable label inadeq "Left with inadequate care in past week *".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero  
  /observation care alone inadeq
  /ftotal tot1 "Total"
  /table = HL4 + HH7 + HH6 + agegrp + melevel + wlthind5 + etnic + tot1 by 
	  care + alone + inadeq + total
  /statistics
    mean(care (f5.1) '')
    mean(alone (f5.1) '')
    mean(inadeq (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table CD.3: Children left alone or with other children" 
    "Percentage of children age 0-59 months left in the care of other "+
		"children under the age of 10 years or left alone in the past week, "+
		"Montenegro, 2005"
  /caption
    "* MICS indicator 51".

new file.
