get file = 'hl.sav'.

weight by hlweight.

* select children who are of primary school age; this definition is
* country-specific and should be changed to reflect the situation in your country.
select if (HL5Nova >= 7 and HL5Nova <= 10).

compute primary  = 0.
if (ED6A >= 1 and ED6A <= 2) primary =  100.
variable label primary "".

variable label HL4 "".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation = primary
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5Nova + melevel + wlthind5 + etnic + tot1 by 
	  HL4 > primary + tot1
  /statistics
    mean(primary (f5.1) 'Net attendance ratio')
    validn(primary (f5.0) 'Number of children')
  /title
    "Table ED.3. ISCED1: Primary school net attendance ratio"
		"Percentage of children of primary school age attending primary school or secondary school (NAR), Montenegro, 2005"
  /caption
    "* MICS indicator 55; MDG indicator 6".

new file.
