get file = 'hl.sav'.

weight by hlweight.

* select children who are of secondary school age; this definition is
* country-specific and should be changed to reflect the situation in your
* country.
select if (HL5Nova >= 11 and HL5Nova <= 18).

compute prim  = 0.
if (ED6A = 1 and ED6B < 5) prim =  100.
variable label prim "".

variable label HL4 "".

recode HC1C (11 = 1) (12 = 2) (14, 15 = 3) (17=4) (99=9) (else = 5)
	into etnic.
variable label etnic "Ethnicity of household head".
value label etnic
  1 "Serbian"
  2 "Montenegrian"
  3 "Bosnian\Muslim"
  4 "Albanian"
  5 "Other"
  9 "Missing".

tables
  /format = zero
  /observation = prim
  /ftotal = tot1 "Total"
  /tables = HH7 + HH6 + HL5Nova + melevel + wlthind5 + etnic + tot1 by 
	  HL4 > prim + tot1
  /statistics
    mean(prim (f5.1) 'Percent attending primary school')
    validn(prim (f5.0) 'Number of children')
  /title
    "Table ED.4w.ISCED1: Secondary school age children attending primary school"
    "Percentage of children of secondary school age attending primary school, Montenegro, 2005"
  /caption
    "* MICS indicator 56".

new file.
