get file = 'HH.sav'.

select if (hh9 = 1).

* check frequency distribution of variables, look for missing values.

frequencies
  variables=hc2 hc3 hc4 hc5 hc6
		hc9a hc9b hc9c hc9d hc9e hc9f hc9g hc9h hc9i hc9j hc9k
		hc10a hc10b hc10c hc10d hc10e hc10f hc10g
		hc11 hc12 hc13 hc14a hc14b hc14c hc14d hc14e hc14f
                        NOVAHC10A NOVAHC10B
                        ws1 ws2 ws7
  /statistics=stddev mean
  /order=analysis .

* begin recoding, dichotomous variables or continuous variables.

* persons per sleeping room.

compute persroom = 99.
if (hc2 < 98) persroom = hh11/hc2.
variable label persroom 'Persons per sleeping rooms'.
missing values persroom (99).

* type of floor.

compute flres = 0.
if (hc3 = 21) flres = 1.
if (hc3 >= 98) flres = 9.
variable label flres 'Has earth/sand floor'.
value label flres 0 'Not earth/sand floor' 1 'Has earth/sand floor' 9 'Missing'.
missing values flres (9).

* Obrisana hc3=12

* flrwd = 0.
* flrwd =13

*compute flrbam = 0.
*if (hc3 = 22) flrbam = 1.

compute flrpq = 0.
if (hc3 = 31) flrpq = 1.
if (hc3 >= 98) flrpq = 9.
variable label flrpq 'Has parquet/polished wood floor'.
value label flrpq 0 'Not parquet/polished wood floor' 1 'Has parquet/polished wood floor' 9 'Missing'.
missing values flrpq (9).

*compute flrvl = 0.
*if (hc3 = 32) flrvl = 1.

*compute flrcer = 0.
*if (hc3 = 33) flrcer = 1.

compute flrcem = 0.
if (hc3 = 34) flrcem = 1.
if (hc3 >= 98) flrcem = 9.
variable label flrcem 'Has cement floor'.
value label flrcem 0 'Not cement floor' 1 'Has cement floor' 9 'Missing'.
missing values flrcem (9).

*compute flrcpt = 0.
*if (hc3 = 35) flrcpt = 1.

* type of roof.

*compute roofno = 0.
*if (hc4 = 11) roofno = 1.

*compute rooflf = 0.
*if (hc4 = 12) rooflf = 1.

*compute roofsod = 0.
*if (hc4 = 13) roofsod = 1.

*compute roofmat = 0.
*if (hc4 = 21) roofmat = 1.

*compute roofbam = 0.
*if (hc4 = 22) roofbam = 1.

*compute roofplnk = 0.
*if (hc4 = 23) roofplnk = 1.

*compute roofmetl = 0.
*if (hc4 = 31) roofmetl = 1.

*compute roofwood = 0.
*if (hc4 = 32) roofwood = 1.

*compute rooffibr = 0.
*if (hc4 = 33) rooffibr = 1.

compute roofcer = 0.
if (hc4 = 34) roofcer = 1.
if (hc4 >= 98) roofcer = 9.
variable label roofcer 'Has ceramic tile roof'.
value label roofcer 0 'Not ceramic tile roof' 1 'Has ceramic tile roof' 9 'Missing'.
missing values roofcer (9).

compute roofcem = 0.
if (hc4 = 35) roofcem = 1.
if (hc4 >= 98) roofcem= 9.
variable label roofcem 'Has cement tile roof'.
value label roofcem 0 'Not ceramic tile roof' 1 'Betonska ploca' 9 'Missing'.
missing values roofcem (9).

*compute roofshng = 0.
*if (hc4 = 36) roofshng = 1.

* type of wall.

*compute wallno = 0.
*if (hc5 = 11) wallno = 1.

*compute wallcane = 0.
*if (hc5 = 12) wallcane = 1.

*compute walldirt = 0.
*if (hc5 = 13) walldirt = 1.

compute wallbam = 0.
if (hc5 = 21) wallbam = 1.
if (hc5 >= 98) wallbam = 9.
variable label wallbam 'Has bamboo with mud wall'.
value label wallbam 0 'Not bamboo with mud wall' 1 'Has bamboo with mud wall' 9 'Missing'.
missing values wallbam (9).

*compute wallmud = 0.
*if (hc5 = 22) wallmud = 1.

*compute wallunad = 0.
*if (hc5 = 23) wallunad = 1.

*compute wallply = 0.
*if (hc5 = 24) wallply = 1.

*compute wallctn = 0.
*if (hc5 = 25) wallctn = 1.

*compute wallre = 0.
*if (hc5 = 26) wallre = 1.

compute wallcem = 0.
if (hc5 = 31) wallcem = 1.
if (hc5 >= 98) wallcem = 9.
variable label wallcem 'Has bamboo with mud wall'.
value label wallcem 0 'Not bamboo with mud wall' 1 'Has bamboo with mud wall' 9 'Missing'.
missing values wallcem (9).


*compute wallstn = 0.
*if (hc5 = 32) wallstn = 1.

compute wallbrk = 0.
if (hc5 = 33) wallbrk = 1.
if (hc5 >= 98) wallbrk = 9.
variable label wallbrk 'Has brick wall'.
value label wallbrk 0 'Not brick wall' 1 'Has brick wall' 9 'Missing'.
missing values wallbrk (9).

compute wallblk = 0.
if (hc5 = 34) wallblk = 1.
if (hc5 >= 98) wallblk = 9.
variable label wallblk 'Has cement block wall'.
value label wallblk 0 'Not cement block wall' 1 'Has cement block wall' 9 'Missing'.
missing values wallblk (9).

*compute walladob = 0.
*if (hc5 = 35) walladob = 1.

*compute wallplnk = 0.
*if (hc5 = 36) wallplnk = 1.

* type of cooking fuel.

compute fuelelec = 0.
if (hc6 = 01) fuelelec = 1.
if (hc6 >= 98) fuelelec = 9.
variable label fuelelec 'Household fuel type: electricity'.
value label fuelelec 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelelec (9).

compute fuellpg = 0.
if (hc6 = 02) fuellpg = 1.
if (hc6 >= 98) fuellpg = 9.
variable label fuellpg 'Household fuel type: electricity'.
value label fuellpg 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelelec (9).


compute fuelgas = 0.
if (hc6 = 03) fuelgas = 1.
if (hc6 >= 98) fuelgas = 9.
variable label fuelgas 'Household fuel type: gas'.
value label fuelgas 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelgas (9).


*compute fuelbio = 0.
*if (hc6 = 04) fuelbio = 1.

*compute fuelker = 0.
*if (hc6 = 05) fuelker = 1.

*compute fuelcoal = 0.
*if (hc6 = 06) fuelcoal = 1.

*compute fuelchar = 0.
*if (hc6 = 07) fuelchar = 1.

compute fuelwood = 0.
if (hc6 = 08) fuelwood = 1.
if (hc6 >= 98) fuelwood = 9.
variable label fuelwood 'Household fuel type: wood'.
value label fuelwood 0 'No' 1 'Yes' 9 'Missing'.
missing values fuelwood (9).

*compute fuelstrw = 0.
*if (hc6 = 09) fuelstrw = 1.

*compute fueldung = 0.
*if (hc6 = 10) fueldung = 1.

*compute fuelagre = 0.
*if (hc6 = 11) fuelagre = 1.

* other household assets.

*compute elec = 0.
*if (hc9a = 1) elec = 1.

compute radio = 0.
if (hc9b = 1) radio = 1.
if (hc9b = 9) radio = 9.
variable label radio 'Household has: radio'.
value label radio 0 'No' 1 'Yes' 9 'Missing'.
missing values radio (9).

*compute tv = 0.
*if (hc9c = 1) tv = 1.

compute mobile = 0.
if (hc9d = 1) mobile = 1.
if (hc9d = 9) mobile = 9.
variable label mobile 'Household has: mobile telephone'.
value label mobile 0 'No' 1 'Yes' 9 'Missing'.
missing values mobile (9).

compute phone = 0.
if (hc9e = 1) phone = 1.
if (hc9e = 9) phone = 9.
variable label phone 'Household has: non-mobile phone'.
value label phone 0 'No' 1 'Yes' 9 'Missing'.
missing values phone (9).

compute fridge = 0.
if (hc9f = 1) fridge = 1.
if (hc9f = 9) fridge = 9.
variable label fridge 'Household has: refrigerator'.
value label fridge 0 'No' 1 'Yes' 9 'Missing'.
missing values fridge (9).

compute wmachine = 0.
if (hc9g = 1) wmachine = 1.
if (hc9g = 9) wmachine = 9.
variable label wmachine 'Household has: washing machine'.
value label wmachine 0 'No' 1 'Yes' 9 'Missing'.
missing values wmachine (9).

compute dishw = 0.
if (hc9h = 1) dishw = 1.
if (hc9h = 9) dishw = 9.
variable label dishw 'Household has: dish wacher'.
value label dishw 0 'No' 1 'Yes' 9 'Missing'.
missing values dishw (9).

compute komp = 0.
if (hc9i = 1) komp = 1.
if (hc9i = 9) komp = 9.
variable label komp 'Household has: computer'.
value label komp 0 'No' 1 'Yes' 9 'Missing'.
missing values komp (9).

compute klima = 0.
if (hc9j = 1) klima = 1.
if (hc9j = 9) klima = 9.
variable label klima 'Household has: Earconditioner'.
value label klima 0 'No' 1 'Yes' 9 'Missing'.
missing values klima (9).

compute centralh = 0.
if (hc9k = 1) centralh = 1.
if (hc9k = 9) centralh = 9.
variable label centralh 'Household has: Central heating'.
value label centralh 0 'No' 1 'Yes' 9 'Missing'.
missing values centralh (9).


* Other household assets 2.

compute watch = 0.
if (hc10a = 1) watch = 1.
if (hc10a = 9) watch = 9.
variable label watch 'Household member owns: watch'.
value label watch 0 'No' 1 'Yes' 9 'Missing'.
missing values watch (9).

compute bike = 0.
if (hc10b = 1) bike = 1.
if (hc10b = 9) bike = 9.
variable label bike 'Household member owns: bicycle'.
value label bike 0 'No' 1 'Yes' 9 'Missing'.
missing values bike (9).

*compute moto = 0.
*if (hc10c = 1) moto = 1.

*compute cart = 0.
*if (hc10d = 1) cart = 1.
*if (hc10b = 9) cart = 9.
*variable label cart 'Household member owns: traktor'.
*value label cart 0 'No' 1 'Yes' 9 'Missing'.
*missing values cart (9).


compute car = 0.
if (hc10e = 1) car = 1.
if (hc10e = 9) car = 9.
variable label car 'Household member owns: car/truck'.
value label car 0 'No' 1 'Yes' 9 'Missing'.
missing values car (9).

*compute boat = 0.
*if (hc10f = 1) boat = 1.

compute agland = 0.
if (hc11 = 1) agland = hc12.
variable label agland 'Obradivo zemljiste'.
missing values agland (999).

recode hc14a (0 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into cattle.
variable label cattle 'Household owns: cattle'.

*recode hc14b (0 thru 97 = copy) (98 thru 99 = sysmis) (else = 0) into bull.
*variable label bull 'Household owns: milk cows or bull'.

*recode hc14c (1 thru 97 = 1) (98 thru 99 = sysmis) (else = 0) into horse.
*variable label horse 'Household owns: horses, donkeys or mules'.

*recode hc14d (1 thru 97 = 1) (98 thru 99 = sysmis) (else = 0) into goat.
*variable label goat 'Household owns: goat'.

*recode hc14e (1 thru 97 = 1) (98 thru 99 = sysmis) (else = 0) into sheep.
*variable label sheep 'Household owns: sheep'.

recode hc14f (1 thru 97 = 1) (98 thru 99 = sysmis) (else = 0) into chicken.
variable label chicken 'Household owns: chicken'.

* source of drinking water.

compute watpdw = 0.
if (ws1 = 11) watpdw = 1.
if (ws1 >= 98) watpdw = 9.
variable label watpdw 'Gradski vodovod'.
value label watpdw 0 'Not water piped into dwelling' 1 'Gradski vodovod' 9 'Missing'.
missing values watpdw (9).

*compute watpyd = 0.
*if (ws1 = 12) watpyd = 1.
*if (ws1 >= 98) watpyd = 9.
*variable label watpyd 'Seoski vodovod'.
*value label watpyd 0 'Not water piped into dwelling' 1 'Seoski vodovod' 9 'Missing'.
*missing values watpyd (9).


*compute watptap = 0.
*if (ws1 = 13) watptap = 1.

compute watbore = 0.
if (ws1 = 21) watbore = 1.
if (ws1 >= 98) watbore = 9.
variable label watbore 'Buseni bunar'.
value label watbore 0 'Not water from buseni bunar' 1 'Buseni bunar' 9 'Missing'.
missing values watbore (9).


compute watpwell = 0.
if (ws1 = 31) watpwell = 1.
if (ws1 >= 98) watpwell  = 9.
variable label watpwell  'Kopani bunar'.
value label watpwell  0 'Not water piped into dwelling' 1 'Has water piped into dwelling' 9 'Missing'.
missing values watpwell  (9).


*compute watuwell = 0.
*if (ws1 = 32) watuwell = 1.

*compute watpsprg = 0.
*if (ws1 = 41) watpsprg = 1.

*compute watusprg = 0.
*if (ws1 = 42) watusprg = 1.

*compute watrain = 0.
*if (ws1 = 51) watrain = 1.

*compute wattank = 0.
*if (ws1 = 61) wattank = 1.

*compute watcart = 0.
*if (ws1 = 71) watcart = 1.

*compute watsurf = 0.
*if (ws1 = 81) watsurf = 1.

compute watbott = 0.
if (ws1 = 91) watbott = 1.
if (ws1 >= 98) watbott  = 9.
variable label watbott  'Flasirana voda'.
value label watbott  0 'Not water piped into dwelling' 1 'Has water piped into dwelling' 9 'Missing'.
missing values watbott  (9).


* type of sanitary facility

compute sanfsew = 0.
if (ws7 = 11) sanfsew = 1.
if (ws7 >= 98) sanfsew = 9.
variable label sanfsew 'Has flush to piped sewer system toilet'.
value label sanfsew 0 'Not flush to piped sewer system toilet' 1 'Has flush to piped sewer system toilet' 9 'Missing'.
missing values sanfsew (9).

compute sanfsep = 0.
if (ws7 = 12) sanfsep = 1.
if (ws7 >= 98) sanfsep = 9.
variable label sanfsep 'Has flush to septic system toilet'.
value label sanfsep 0 'Not flush to septic system toilet' 1 'Has flush to septic system toilet' 9 'Missing'.
missing values sanfsep (9).

*compute sanfpit = 0.
*if (ws7 = 13) sanfpit = 1.

*compute sanfelse = 0.
*if (ws7 = 14) sanfelse = 1.

*compute sanfdk = 0.
*if (ws7 = 15) sanfdk = 1.

*compute sanvip = 0.
*if (ws7 = 21) sanvip = 1.

compute sanpitsl = 0.
if (ws7 = 22) sanpitsl = 1.
if (ws7 >= 98) sanpitsl = 9.
variable label sanpitsl 'Has pit latrine with slab toilet'.
value label sanpitsl 0 'Not pit latrine with slab toilet' 1 'Has pit latrine with slab toilet' 9 'Missing'.
missing values sanpitsl (9).

*compute sanpit = 0.
*if (ws7 = 23) sanpit = 1.

*compute sancomp = 0.
*if (ws7 = 31) sancomp = 1.

*compute sanbuck = 0.
*if (ws7 = 41) sanbuck = 1.

*compute sanhang = 0.
*if (ws7 = 51) sanhang = 1.

*compute sannone = 0.
*if (ws7 = 95) sannone = 1.

factor
  /variables
             persroom
             flres flrpq flrcem 
             roofcer roofcem
             wallbam wallcem  
             fuelelec fuelwood fuellpg 
             radio mobile phone fridge wmachine dishw komp klima centralh
             watch car
             watpdw watbore watpwell watbott
             sanfsew sanfsep  
  /missing meansub
  /analysis
            persroom
             flres flrpq flrcem 
             roofcer roofcem
             wallbam wallcem 
             fuelelec fuelwood fuellpg 
             radio mobile phone fridge wmachine dishw komp klima centralh
             watch car
             watpdw watbore watpwell watbott
             sanfsew sanfsep  
  /print univariate initial extraction fscore
  /criteria factors(1) iterate(25)
  /extraction pc
  /rotation norotate
  /save reg(all)
  /method=correlation.

compute hhmemwt = hh11*hhweight.
weight by hhmemwt.
variable labels hhmemwt 'HH members weight for Index'.

rank
  variables=fac1_1  (A)
  /ntiles (5)
  /print=yes
  /ties=mean.

variable label nfac1_1 'wealth index quintiles'.
value label nfac1_1
	1 'Poorest'
	2 'Second'
	3 'Middle'
	4 'Fourth'
	5 'Richest'.
format nfac1_1 (f1.0).

frequencies
  variables=fac1_1
  /ntiles= 5
  /statistics=stddev minimum maximum mean median
  /order=analysis.

weight off.

save outfile="wealth.sav"
   /keep HH1 HH2 fac1_1 nfac1_1.

new file.

 rename (fac1_1 = wlthscor) (nfac1_1 = wlthind5).

