*create a wealth index file for each unit of analysis.
get file = 'wealth.sav'.

sort cases by HH1 HH2.

save outfile = 'hhwlth.sav'
  /keep HH1 HH2 wlthscor wlthind5.

*add wealth index to the household file.
get file = 'HH.sav'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'hhwlth.sav'
  /by HH1 HH2.

*set wealth index for incomplete households equal to 0.
if (HH9 <> 1) wlthind5 = 0.
if (HH9 <> 1) wlthscor = 0.

save outfile = 'HH.sav'.

*add wealth index to the household listing file.
get file = 'HL.sav'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'hhwlth.sav'
  /by HH1 HH2.

save outfile = 'HL.sav'.

*add wealth index to the women file.
get file = 'WM.sav'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'hhwlth.sav'
  /by HH1 HH2.

*add wealth index to the women file.
get file = 'WM.sav'.

*set wealth index for incomplete womens interviews equal to 0.
if (WM7 <> 1 and WM7 <> 4) wlthind5 = 0.
if (WM7 <> 1 and WM7 <> 4) wlthscor = 0.
save outfile = 'WM.sav'.

*add wealth index to the children file.
get file = 'CH.sav'.

sort cases by HH1 HH2.

match files
  /file = *
  /table = 'hhwlth.sav'
  /by HH1 HH2.

*add wealth index to the children file.
get file = 'CH.sav'.

*set wealth index for incomplete child interviews equal to 0.
if (UF9 <> 1 and UF9 <> 4) wlthind5 = 0.
if (UF9 <> 1 and UF9 <> 4) wlthscor = 0.

save outfile = 'CH.sav'.

*delete working files.
new file.
erase file = 'hhwlth.sav'.

